Rated 5 out of 5 stars

@ midair: Update your browser if you don't like addons that don't support outdated crap. When you neglect to update to what everybody else is using, you're going to have compatibility issues. Either deal with it or move on.

This review is for a previous version of the add-on (0.4.2).